package com.bocloud.ims.entity.resource.powervc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * hmc 和 server 关联关系
 * @author luyanchao
 * @since 2019/1/23 14:42
 */
@Table("powervc_hmc_server")
public class PowervcHmcServer {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("hmc_id")
    private Long hmcId;
    @Column("server_id")
    private Long serverId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getHmcId() {
        return hmcId;
    }

    public void setHmcId(Long hmcId) {
        this.hmcId = hmcId;
    }

    public Long getServerId() {
        return serverId;
    }

    public void setServerId(Long serverId) {
        this.serverId = serverId;
    }
}
